"""Demonstrate unpacking with strings, lists, tuples, ranges, and files."""


def main():
    print('\nString example:')
    vowels = 'aeiou'
    print(vowels)
    first, second, third, fourth, fifth = vowels
    print(f'first = {first}')
    print('...')
    print(f'fifth = {fifth}')

    print('\nList example:')
    states = ['Illinois', "Wisconsin", "Iowa"]
    print(states)
    first, second, third = states
    print(f'first = {first}')
    print('...')
    print(f'third = {third}')

    print('\nTuple example:')
    birds = ('dove', "oriole", "finch")
    print(birds)
    first, second, third = birds
    print(f'first = {first}')
    print('...')
    print(f'third = {third}')

    print('\nRange example:')
    values = range(5)
    print(values)
    first, second, third, fourth, fifth = values
    print(f'first = {first}')
    print('...')
    print(f'fifth = {fifth}')

    print('\nFile example:')
    data_directory = 'data'
    input_filename = 'words.txt'
    infile_path_and_name = f'{data_directory}/{input_filename}'
    infile = open(infile_path_and_name, 'r', encoding='utf-8')
    print(infile)
    first, second, third, fourth = infile
    print(f'The third word is {third}')
    infile.close()


main()

